#ifndef BUTTONPANEL_H
#define BUTTONPANEL_H

#include <wx/wx.h>
#include <wx/bmpbuttn.h>

#include <controller/KissCount.h>
#include "wxUI.h"

#define ACCOUNT_ICON "ressources/administrator-icon.png"
#define STATS_ICON   "ressources/chart-icon.png"
#define PREFS_ICON   "ressources/options-icon.png"
#define CHANGE_USER_ICON "ressources/Clients-icon.png"

class KissCount;
class wxUI;

class ButtonPanel: public wxPanel
{
public:

  ButtonPanel(KissCount* kiss, wxUI *parent);
  ~ButtonPanel();

  void OnButtonAccount(wxCommandEvent& event);
  void OnButtonPreferences(wxCommandEvent& event);
  void OnButtonChangeUser(wxCommandEvent& event);

private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxBitmapButton* _account;
  wxBitmapButton* _stats;
  wxBitmapButton* _prefs;
  wxBitmapButton* _changeUser;

  DECLARE_EVENT_TABLE();
};

#endif
